std::weibull_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Distributions » Poisson Distributions

`#include <random>`

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| weibull_distribution (_RealType __a, _RealType __b=_RealType(1))
| weibull_distribution (const param_type &__p)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator>
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | a () const
_RealType | b () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const weibull_distribution &__d1, const weibull_distribution &__d2)

## Detailed Description

template<typename _RealType = double>
class std::weibull_distribution< _RealType >

A weibull_distribution random number distribution.

The formula for the normal probability density function is:

Since
  C++11

Definition at line 5718 of file random.h.

## Member Typedef Documentation

## result_type

template<typename _RealType = double>

typedef _RealType std::weibull_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 5725 of file random.h.

## Constructor & Destructor Documentation

## weibull_distribution() [1/3]

template<typename _RealType = double>

std::weibull_distribution< _RealType >::weibull_distribution | ( |  | ) |

inline

Definition at line 5762 of file random.h.

## weibull_distribution() [2/3]

template<typename _RealType = double>

std::weibull_distribution< _RealType >::weibull_distribution | ( | _RealType | __a,
|  | _RealType | __b = _RealType(1) )

inline explicit

Definition at line 5765 of file random.h.

## weibull_distribution() [3/3]

template<typename _RealType = double>

std::weibull_distribution< _RealType >::weibull_distribution | ( | const param_type & | __p | ) |

inline explicit

Definition at line 5770 of file random.h.

## Member Function Documentation

## __generate() [1/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::weibull_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng )

inline

Definition at line 5840 of file random.h.

## __generate() [2/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::weibull_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 5847 of file random.h.

## __generate() [3/3]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

void std::weibull_distribution< _RealType >::__generate | ( | result_type * | __f,
|  | result_type * | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 5854 of file random.h.

## a()

template<typename _RealType = double>

_RealType std::weibull_distribution< _RealType >::a | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 5785 of file random.h.

## b()

template<typename _RealType = double>

_RealType std::weibull_distribution< _RealType >::b | ( |  | ) | const

inline

Return the parameter of the distribution.

Definition at line 5792 of file random.h.

## max()

template<typename _RealType = double>

result_type std::weibull_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 5821 of file random.h.

## min()

template<typename _RealType = double>

result_type std::weibull_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 5814 of file random.h.

## operator()() [1/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::weibull_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 5829 of file random.h.

Referenced by operator()().

## operator()() [2/2]

template<typename _RealType>
template<typename _UniformRandomNumberGenerator>

weibull_distribution< _RealType >::result_type std::weibull_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

Definition at line 2635 of file bits/random.tcc.

## param() [1/2]

template<typename _RealType = double>

param_type std::weibull_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 5799 of file random.h.

Referenced by std::operator>>().

## param() [2/2]

template<typename _RealType = double>

void std::weibull_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 5807 of file random.h.

## reset()

template<typename _RealType = double>

void std::weibull_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Definition at line 5778 of file random.h.

## Friends And Related Symbol Documentation

## operator==

template<typename _RealType = double>

bool operator== | ( | const weibull_distribution< _RealType > & | __d1,
|  | const weibull_distribution< _RealType > & | __d2 )

friend

Return true if two Weibull distributions have the same parameters.

Definition at line 5864 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc